<?xml version="1.0" encoding="UTF-8"?>
<ecore:EPackage xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" name="PetriNet">
  <eClassifiers xsi:type="ecore:EClass" name="PetriNet">
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="name" eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="petriElements" upperBound="-1"
        eType="#//PetriElement" containment="true" eOpposite="#//PetriElement/petrinet"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EClass" name="Place" eSuperTypes="#//Node">
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="marking" eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EInt"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EClass" name="Transition" eSuperTypes="#//Node"/>
  <eClassifiers xsi:type="ecore:EClass" name="Arc" eSuperTypes="#//PetriElement">
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="weight" eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EInt"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="kind" eType="#//ArcKind"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="source" lowerBound="1"
        eType="#//Node" eOpposite="#//Node/outgoing"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="target" lowerBound="1"
        eType="#//Node" eOpposite="#//Node/incoming"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EEnum" name="ArcKind">
    <eLiterals name="Normal"/>
    <eLiterals name="ReadArc" value="1"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EClass" name="PetriElement" abstract="true">
    <eStructuralFeatures xsi:type="ecore:EReference" name="petrinet" lowerBound="1"
        eType="#//PetriNet" eOpposite="#//PetriNet/petriElements"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EClass" name="Node" abstract="true" eSuperTypes="#//PetriElement">
    <eStructuralFeatures xsi:type="ecore:EReference" name="outgoing" upperBound="-1"
        eType="#//Arc" eOpposite="#//Arc/source"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="incoming" upperBound="-1"
        eType="#//Arc" eOpposite="#//Arc/target"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="name" eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
  </eClassifiers>
</ecore:EPackage>
